Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.time
Class TimePeriodValuesCollection

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.general.AbstractSeriesDataset
              org.jfree.data.xy.AbstractXYDataset
                  org.jfree.data.xy.AbstractIntervalXYDataset
                      org.jfree.data.time.TimePeriodValuesCollection

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, DomainInfo, Dataset, SeriesChangeListener, SeriesDataset, IntervalXYDataset, XYDataset

    public class TimePeriodValuesCollection

extends AbstractIntervalXYDataset
implements IntervalXYDataset, DomainInfo, java.io.Serializable

A collection of `TimePeriodValues` objects.

This class implements the `XYDataset` interface, as well as the extended `IntervalXYDataset` interface. This makes it a convenient dataset for use with the `XYPlot` class.

See Also:
  Serialized Form

Constructor Summary
`TimePeriodValuesCollection()` Constructs an empty dataset.
`TimePeriodValuesCollection(TimePeriodValues series)` Constructs a dataset containing a single series.

Method Summary
`void` | `addSeries(TimePeriodValues series)` Adds a series to the collection.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`Range` | `getDomainBounds(boolean includeInterval)` Returns the range of the values in this dataset's domain.
`boolean` | `getDomainIsPointsInTime()` Deprecated. This flag is no longer used by JFreeChart (as of version 1.0.3).
`double` | `getDomainLowerBound(boolean includeInterval)` Returns the minimum x-value in the dataset.
`double` | `getDomainUpperBound(boolean includeInterval)` Returns the maximum x-value in the dataset.
`java.lang.Number` | `getEndX(int series, int item)` Returns the ending X value for the specified series and item.
`java.lang.Number` | `getEndY(int series, int item)` Returns the ending Y value for the specified series and item.
`int` | `getItemCount(int series)` Returns the number of items in the specified series.
`TimePeriodValues` | `getSeries(int series)` Returns a series.
`int` | `getSeriesCount()` Returns the number of series in the collection.
`java.lang.Comparable` | `getSeriesKey(int series)` Returns the key for a series.
`java.lang.Number` | `getStartX(int series, int item)` Returns the starting X value for the specified series and item.
`java.lang.Number` | `getStartY(int series, int item)` Returns the starting Y value for the specified series and item.
`java.lang.Number` | `getX(int series, int item)` Returns the x-value for the specified series and item.
`TimePeriodAnchor` | `getXPosition()` Returns the position of the X value within each time period.
`java.lang.Number` | `getY(int series, int item)` Returns the y-value for the specified series and item.
`void` | `removeSeries(int index)` Removes a series from the collection.
`void` | `removeSeries(TimePeriodValues series)` Removes the specified series from the collection.
`void` | `setDomainIsPointsInTime(boolean flag)` Deprecated. This flag is no longer used by JFreeChart (as of version 1.0.3).
`void` | `setXPosition(TimePeriodAnchor position)` Sets the position of the x axis within each time period.

Methods inherited from class org.jfree.data.xy.AbstractIntervalXYDataset
`getEndXValue, getEndYValue, getStartXValue, getStartYValue`

Methods inherited from class org.jfree.data.xy.AbstractXYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from class org.jfree.data.general.AbstractSeriesDataset
`indexOf, seriesChanged`

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.xy.IntervalXYDataset
`getEndXValue, getEndYValue, getStartXValue, getStartYValue`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### TimePeriodValuesCollection

    public TimePeriodValuesCollection()

  Constructs an empty dataset.

### TimePeriodValuesCollection

    public TimePeriodValuesCollection(TimePeriodValues series)

  Constructs a dataset containing a single series. Additional series can be added.

  Parameters:
    `series` - the series (`null` ignored).

Method Detail

### getXPosition

    public TimePeriodAnchor getXPosition()

  Returns the position of the X value within each time period.

  Returns:
    The position (never `null`).
  See Also:
    `setXPosition(TimePeriodAnchor)`

### setXPosition

    public void setXPosition(TimePeriodAnchor position)

  Sets the position of the x axis within each time period.

  Parameters:
    `position` - the position (`null` not permitted).
  See Also:
    `getXPosition()`

### getDomainIsPointsInTime

    public boolean getDomainIsPointsInTime()

  Deprecated. This flag is no longer used by JFreeChart (as of version 1.0.3).

  Returns a flag that controls whether the domain is treated as 'points in time'. This flag is used when determining the max and min values for the domain. If true, then only the x-values are considered for the max and min values. If false, then the start and end x-values will also be taken into consideration

  Returns:
    The flag.

### setDomainIsPointsInTime

    public void setDomainIsPointsInTime(boolean flag)

  Deprecated. This flag is no longer used by JFreeChart (as of version 1.0.3).

  Sets a flag that controls whether the domain is treated as 'points in time', or time periods.

  Parameters:
    `flag` - the new value of the flag.

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the collection.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Specified by:
    `getSeriesCount` in class `AbstractSeriesDataset`
  Returns:
    The series count.

### getSeries

    public TimePeriodValues getSeries(int series)

  Returns a series.

  Parameters:
    `series` - the index of the series (zero-based).
  Returns:
    The series.

### getSeriesKey

    public java.lang.Comparable getSeriesKey(int series)

  Returns the key for a series.

  Specified by:
    `getSeriesKey` in interface `SeriesDataset`
  Specified by:
    `getSeriesKey` in class `AbstractSeriesDataset`
  Parameters:
    `series` - the index of the series (zero-based).
  Returns:
    The key for a series.

### addSeries

    public void addSeries(TimePeriodValues series)

  Adds a series to the collection. A `DatasetChangeEvent` is sent to all registered listeners.

  Parameters:
    `series` - the time series.

### removeSeries

    public void removeSeries(TimePeriodValues series)

  Removes the specified series from the collection.

  Parameters:
    `series` - the series to remove (`null` not permitted).

### removeSeries

    public void removeSeries(int index)

  Removes a series from the collection.

  Parameters:
    `index` - the series index (zero-based).

### getItemCount

    public int getItemCount(int series)

  Returns the number of items in the specified series.

  This method is provided for convenience.

  Specified by:
    `getItemCount` in interface `XYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
  Returns:
    The number of items in the specified series.

### getX

    public java.lang.Number getX(int series,
                                 int item)

  Returns the x-value for the specified series and item.

  Specified by:
    `getX` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The x-value for the specified series and item.

### getStartX

    public java.lang.Number getStartX(int series,
                                      int item)

  Returns the starting X value for the specified series and item.

  Specified by:
    `getStartX` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The starting X value for the specified series and item.

### getEndX

    public java.lang.Number getEndX(int series,
                                    int item)

  Returns the ending X value for the specified series and item.

  Specified by:
    `getEndX` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The ending X value for the specified series and item.

### getY

    public java.lang.Number getY(int series,
                                 int item)

  Returns the y-value for the specified series and item.

  Specified by:
    `getY` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The y-value for the specified series and item.

### getStartY

    public java.lang.Number getStartY(int series,
                                      int item)

  Returns the starting Y value for the specified series and item.

  Specified by:
    `getStartY` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The starting Y value for the specified series and item.

### getEndY

    public java.lang.Number getEndY(int series,
                                    int item)

  Returns the ending Y value for the specified series and item.

  Specified by:
    `getEndY` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The ending Y value for the specified series and item.

### getDomainLowerBound

    public double getDomainLowerBound(boolean includeInterval)

  Returns the minimum x-value in the dataset.

  Specified by:
    `getDomainLowerBound` in interface `DomainInfo`
  Parameters:
    `includeInterval` - a flag that determines whether or not the x-interval is taken into account.
  Returns:
    The minimum value.

### getDomainUpperBound

    public double getDomainUpperBound(boolean includeInterval)

  Returns the maximum x-value in the dataset.

  Specified by:
    `getDomainUpperBound` in interface `DomainInfo`
  Parameters:
    `includeInterval` - a flag that determines whether or not the x-interval is taken into account.
  Returns:
    The maximum value.

### getDomainBounds

    public Range getDomainBounds(boolean includeInterval)

  Returns the range of the values in this dataset's domain.

  Specified by:
    `getDomainBounds` in interface `DomainInfo`
  Parameters:
    `includeInterval` - a flag that determines whether or not the x-interval is taken into account.
  Returns:
    The range.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD